/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.lucene.codecs.blockterms;

import org.apache.lucene.codecs.Codec;
import org.apache.lucene.tests.codecs.blockterms.LuceneVarGapDocFreqInterval;
import org.apache.lucene.tests.index.BasePostingsFormatTestCase;
import org.apache.lucene.tests.util.TestUtil;

/** Basic tests of a PF using VariableGap terms dictionary (fixed interval, docFreq threshold) */
public class TestVarGapFixedIntervalPostingsFormat extends BasePostingsFormatTestCase {
  private final Codec codec =
      TestUtil.alwaysPostingsFormat(
          new LuceneVarGapDocFreqInterval(
              TestUtil.nextInt(random(), 1, 100), TestUtil.nextInt(random(), 1, 1000)));

  @Override
  protected Codec getCodec() {
    return codec;
  }
}
